{% extends 'base.html' %}
{% load crispy_forms_tags staticfiles %}

{% block extra_head %}
  <script src="{% static 'js/jquery-2.1.3.min.js' %}"></script>
  <script src="{% static 'js/bootstrap.min.js' %}"></script>
  {{ form.media }}

  <script src="{% static 'js/knockout-3.3.0.js' %}"></script>
{% endblock %}

{% block jumbotron_content %}
<h2>Добавить преподавателя</h2>
<p>Направление {{ workshop_slug }}/{{ program_slug }}</p>

<!-- Modal -->
<div class="modal" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      </div>
<form  data-bind="submit: addLecture">
      <div class="modal-body">
        <div class="container-fluid">
          <div class="row">

            <div class="form-group">
              <label for="LecTitleInput">Название лекции:</label>
              <input class="form-control" data-bind="value: newLectureTitle" id="LecTitleInput" placeholder="Название лекции">
            </div>

            <div class="form-group">
              <label class="sr-only" for="LecDateInput">Предварительная дата проведения:</label>
              <input class="form-control datetimepicker form-control" id="LecDateInput" placeholder="Дата" data-bind="value: newLectureDate">
            </div>
          </div>
        </div><!-- /container-fluid -->
      </div><!-- /modal-body -->

      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Добавить</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Закрыть</button>
      </div>
</form>
    </div> <!-- /modal-content -->
  </div>
</div>

{% endblock %}

{% block main_content %}
<div class="col-md-12">
  {% crispy form %}
</div>

{% endblock %}

{% block scripts %}
<script type="text/javascript">
$('#LecDateInput').datetimepicker({
    "format": "YYYY/MM/DD",
    "pickTime": false,
    "weekStart": 1,
    "startDate": "2019/07/01",
    "endDate": "2019/08/11",
    "pickTime": false,
    "language": "ru-RU"
});
</script>

<script type="text/javascript">
// Class to represent a lecture entry
function Lecture(data) {
    var self = this;
    self.title = ko.observable(data.title);
    self.date = ko.observable(data.date);
}


// Overall viewmodel for this screen, along with initial state
function ReservationsViewModel() {
    var self = this;
    self.newLectureTitle = ko.observable();
    self.newLectureDate = ko.observable();

{% if lectures_data %}
  {% for entry in lectures_data %}
    {% if forloop.first %}
    self.lectures = ko.observableArray([
    {% endif %}
      new Lecture({
        title: "{{ entry.title }}",
        date:"{{ entry.date }}"
      }),
    {% if forloop.last %}]);{% endif %}
  {% endfor %}
{% else %}
    self.lectures = ko.observableArray();
{% endif %}

    // Operations
    self.addLecture = function() {
      self.lectures.push(new Lecture({
        title: this.newLectureTitle(),
        date: this.newLectureDate(),
      }));
    }

    self.removeLecture = function(s) { self.lectures.remove(s) }
}

ko.applyBindings(new ReservationsViewModel());
</script>
{% endblock %}
